%define module_name Hash-Fold
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Moo.pm) perl(Sub/Exporter.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(Throwable/Error.pm) perl(Types/Standard.pm) perl(version.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0.0
Release: alt1
Summary: flatten and unflatten nested hashrefs
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CH/CHOCOLATE/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
This module provides functional and OO interfaces which allow hashrefs containing nested
values to be flattened into single-level hashrefs (e.g. with dotted keys) and unflattened.


%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/H*

%changelog
* Tue Mar 12 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1
- updated by package builder

* Tue Dec 15 2015 Igor Vlasenko <viy@altlinux.ru> 0.1.2-alt1
- regenerated from template by package builder

* Mon Jun 23 2014 Igor Vlasenko <viy@altlinux.ru> 0.1.1-alt1
- regenerated from template by package builder

* Thu Apr 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.0.2-alt1
- initial import by package builder

